## cds-record-login 0.1.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.18)
project(cds_record_login)

set(CMAKE_CXX_STANDARD 14)

add_subdirectory(src)
install(FILES COPYING README.md
        DESTINATION share/doc/${CMAKE_PROJECT_NAME}
        PERMISSIONS OWNER_READ GROUP_READ WORLD_READ )

=== src/CMakeLists.txt ===
add_library(logon_support STATIC logon.cc)

add_executable(pam_script_ses_open pam_script_ses_open.cpp)
target_link_libraries(pam_script_ses_open PUBLIC logon_support)

add_executable(pam_script_ses_close pam_script_ses_close.cpp)
target_link_libraries(pam_script_ses_close PUBLIC logon_support)

install(TARGETS pam_script_ses_open pam_script_ses_close
        RUNTIME DESTINATION "libexec/${CMAKE_PROJECT_NAME}/")

=== debian/changelog ===
cds-record-login (0.1.4) UNRELEASED; urgency=medium

  * Tweak to packaging be consistent with name, login not logon 

 -- Jonathan Hanks <jhanks@caltech.edu>  Wed, 26 Oct 2022 14:29:53 -0700

cds-record-login (0.1.3) unstable; urgency=medium

  * Updating an install location 

 -- Jonathan Hanks <jhanks@caltech.edu>  Wed, 26 Oct 2022 14:19:21 -0700

cds-record-login (0.1.2) unstable; urgency=medium

  * New release, built for bullseye

 -- Jonathan Hanks <jhanks@caltech.edu>  Wed, 26 Oct 2022 09:03:26 -0700

=== debian/control ===
Source: cds-record-login
Section: science
Priority: optional
Maintainer: Jonathan Hanks <jhanks@caltech.edu>
Build-Depends:
 debhelper-compat (= 13),
 devscripts,
 equivs,
 cmake,
Standards-Version: 4.5.1
Homepage: https://git.ligo.org/jonathan-hanks/cds_record_login
Vcs-Git: https://git.ligo.org/jonathan-hanks/cds_record_login.git
Rules-Requires-Root: no

Package: cds-record-login
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Simple login/logout recorder for use with pam_script
 Cds-record-login provides binaries for use with pam_script to record logins

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


%:
	dh $@

## cds-record-login 0.1.5

=== debian/changelog ===
cds-record-login (0.1.5) unstable; urgency=medium

  * version bump to trigger reload, no source changes

 -- Jonathan Hanks <jhanks@caltech.edu>  Wed, 31 Jan 2024 16:25:35 -0800

cds-record-login (0.1.4) unstable; urgency=medium

  * Tweak to packaging be consistent with name, login not logon 

 -- Jonathan Hanks <jhanks@caltech.edu>  Wed, 26 Oct 2022 14:29:53 -0700
